Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.sourceroute.factory
Class WireSourceRouteFactory

    java.lang.Object
      org.mpisws.p2p.transport.sourceroute.factory.WireSourceRouteFactory

All Implemented Interfaces:
  SourceRouteFactory<java.net.InetSocketAddress>

    public class WireSourceRouteFactory

extends java.lang.Object
implements SourceRouteFactory<java.net.InetSocketAddress>

TODO: may be a good idea to special case the single hop, as is done in multi-inet.

Author:
  Jeff Hoye

Constructor Summary
`WireSourceRouteFactory()`

Method Summary
`SourceRoute<java.net.InetSocketAddress>` | `build(InputBuffer buf, java.net.InetSocketAddress localAddr, java.net.InetSocketAddress lastHop)`
`SourceRoute<java.net.InetSocketAddress>` | `getSourceRoute(java.net.InetSocketAddress local)`
`SourceRoute<java.net.InetSocketAddress>` | `getSourceRoute(java.net.InetSocketAddress local, java.net.InetSocketAddress dest)`
`SourceRoute<java.net.InetSocketAddress>` | `getSourceRoute(java.util.List<java.net.InetSocketAddress> route)`
`SourceRoute<java.net.InetSocketAddress>` | `reverse(SourceRoute<java.net.InetSocketAddress> route)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WireSourceRouteFactory

    public WireSourceRouteFactory()

Method Detail

### build

    public SourceRoute<java.net.InetSocketAddress> build(InputBuffer buf,
                                                         java.net.InetSocketAddress localAddr,
                                                         java.net.InetSocketAddress lastHop)
                                                  throws java.io.IOException

  Specified by:
    `build` in interface `SourceRouteFactory<java.net.InetSocketAddress>`
  Throws:
    `java.io.IOException`

### getSourceRoute

    public SourceRoute<java.net.InetSocketAddress> getSourceRoute(java.util.List<java.net.InetSocketAddress> route)

  Specified by:
    `getSourceRoute` in interface `SourceRouteFactory<java.net.InetSocketAddress>`

### reverse

    public SourceRoute<java.net.InetSocketAddress> reverse(SourceRoute<java.net.InetSocketAddress> route)

  Specified by:
    `reverse` in interface `SourceRouteFactory<java.net.InetSocketAddress>`

### getSourceRoute

    public SourceRoute<java.net.InetSocketAddress> getSourceRoute(java.net.InetSocketAddress local,
                                                                  java.net.InetSocketAddress dest)

  Specified by:
    `getSourceRoute` in interface `SourceRouteFactory<java.net.InetSocketAddress>`

### getSourceRoute

    public SourceRoute<java.net.InetSocketAddress> getSourceRoute(java.net.InetSocketAddress local)

  Specified by:
    `getSourceRoute` in interface `SourceRouteFactory<java.net.InetSocketAddress>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.